package com.example.wholeestate.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.dao.AppointmentMapper;
import com.example.wholeestate.model.Appointment;
import com.example.wholeestate.service.IAppointmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 预约记录表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Service
public class AppointmentServiceImpl extends ServiceImpl<AppointmentMapper, Appointment> implements IAppointmentService {

    @Autowired
    private AppointmentMapper appointmentMapper;

    @Override
    public ResponseBean getOpenidAppointmentList(String openid, Integer pageNum, Integer pageSize) {
        ResponseBean responseBean = new ResponseBean();
        Page<Appointment> page = new Page<>();
        page.setCurrent(pageNum);
        page.setSize(pageSize);

        IPage<Appointment> openidAppendableList = appointmentMapper.getOpenidAppendableList(page, openid);
        responseBean.addSuccess(openidAppendableList);
        return responseBean;
    }
}
